Module | Sequel::Plugins::PreparedStatementsSafe::InstanceMethods
In: | lib/sequel/plugins/prepared_statements_safe.rb

### Methods

before_create save_changes

### Public Instance methods

before_create()

Merge the current values into the default values to reduce the number of free columns.

[Source]

        # File lib/sequel/plugins/prepared_statements_safe.rb, line 67
    67:         def before_create
    68:           if v = model.prepared_statements_column_defaults
    69:             set_values(v.merge(values))
    70:           end
    71:           super
    72:         end

save_changes(opts={})

Always do a full save of all columns to reduce the number of prepared statements that can be used.

[Source]

        # File lib/sequel/plugins/prepared_statements_safe.rb, line 76
    76:         def save_changes(opts={})
    77:           save(opts) || false if modified?
    78:         end

[Validate]